Bug 347450 - Digikam crash
Summary: Digikam crash
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Database-Sqlite (show other bugs)
Version: 4.9.0
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2015-05-08 22:50 UTC by mitscha
Modified: 2021-04-04 08:39 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 7.3.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mitscha 2015-05-08 22:50:12 UTC
Application: digikam (4.9.0)
KDE Platform Version: 4.14.7
Qt Version: 4.8.6
Operating System: Linux 3.19.0-16-generic x86_64
Distribution: Ubuntu 15.04

-- Information about the crash:
- What I was doing when the application crashed: Tagging more than one picture. running 64-bit kubuntu 15.04

The crash can be reproduced sometimes.

-- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
[Current thread is 1 (Thread 0x7f8b2e7a6ac0 (LWP 6822))]

Thread 12 (Thread 0x7f8b0336e700 (LWP 6826)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f8b2822fc56 in wait (time=18446744073709551615, this=0x1eaf0f0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=this@entry=0x1eaf000, mutex=mutex@entry=0x1eaeff8, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00000000005e92b1 in Digikam::ScanController::run (this=0x1eaed70) at /build/buildd/digikam-4.9.0/core/app/database/scancontroller.cpp:725
#4  0x00007f8b2822f6ff in QThreadPrivate::start (arg=0x1eaed70) at thread/qthread_unix.cpp:349
#5  0x00007f8b248906aa in start_thread (arg=0x7f8b0336e700) at pthread_create.c:333
#6  0x00007f8b2774deed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 11 (Thread 0x7f8b02b6d700 (LWP 6827)):
#0  QThreadData::current () at thread/qthread_unix.cpp:249
#1  0x00007f8b283691c5 in postEventSourcePrepare (s=0x7f8af40012e0, timeout=0x7f8b02b6c8f4) at kernel/qeventdispatcher_glib.cpp:265
#2  0x00007f8b208e53fd in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f8b208e5de8 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f8b208e5fcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f8b2836982e in QEventDispatcherGlib::processEvents (this=0x7f8af40008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:452
#6  0x00007f8b28338cd1 in QEventLoop::processEvents (this=this@entry=0x7f8b02b6cac0, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007f8b28339035 in QEventLoop::exec (this=this@entry=0x7f8b02b6cac0, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007f8b2822ce89 in QThread::exec (this=this@entry=0x1eb2680) at thread/qthread.cpp:538
#9  0x00007f8b28319443 in QInotifyFileSystemWatcherEngine::run (this=0x1eb2680) at io/qfilesystemwatcher_inotify.cpp:265
#10 0x00007f8b2822f6ff in QThreadPrivate::start (arg=0x1eb2680) at thread/qthread_unix.cpp:349
#11 0x00007f8b248906aa in start_thread (arg=0x7f8b02b6d700) at pthread_create.c:333
#12 0x00007f8b2774deed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 10 (Thread 0x7f8b0236c700 (LWP 6837)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f8b2822fc56 in wait (time=18446744073709551615, this=0x211a380) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=this@entry=0x2ad3100, mutex=mutex@entry=0x2ad30f8, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f8b2c48b6a9 in Digikam::ParkingThread::run (this=0x2ad30e0) at /build/buildd/digikam-4.9.0/core/libs/threads/threadmanager.cpp:119
#4  0x00007f8b2822f6ff in QThreadPrivate::start (arg=0x2ad30e0) at thread/qthread_unix.cpp:349
#5  0x00007f8b248906aa in start_thread (arg=0x7f8b0236c700) at pthread_create.c:333
#6  0x00007f8b2774deed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 9 (Thread 0x7f8af06df700 (LWP 6839)):
#0  0x00007f8b208e5638 in g_main_context_query () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f8b208e5e37 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f8b208e5fcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f8b2836982e in QEventDispatcherGlib::processEvents (this=0x7f8ae80008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:452
#4  0x00007f8b28338cd1 in QEventLoop::processEvents (this=this@entry=0x7f8af06deac0, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f8b28339035 in QEventLoop::exec (this=this@entry=0x7f8af06deac0, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007f8b2822ce89 in QThread::exec (this=this@entry=0x2090980) at thread/qthread.cpp:538
#7  0x00007f8b28319443 in QInotifyFileSystemWatcherEngine::run (this=0x2090980) at io/qfilesystemwatcher_inotify.cpp:265
#8  0x00007f8b2822f6ff in QThreadPrivate::start (arg=0x2090980) at thread/qthread_unix.cpp:349
#9  0x00007f8b248906aa in start_thread (arg=0x7f8af06df700) at pthread_create.c:333
#10 0x00007f8b2774deed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 8 (Thread 0x7f8acb7fe700 (LWP 6854)):
#0  0x00007f8b2773e49d in read () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f8b1e20641a in ?? () from /usr/lib/libxapian.so.22
#2  0x00007f8b1e25d080 in ?? () from /usr/lib/libxapian.so.22
#3  0x00007f8b1e261c95 in ?? () from /usr/lib/libxapian.so.22
#4  0x00007f8b1e262399 in ?? () from /usr/lib/libxapian.so.22
#5  0x00007f8b1e20221c in Xapian::WritableDatabase::WritableDatabase(std::string const&, int) () from /usr/lib/libxapian.so.22
#6  0x00007f8b1dd718c7 in Baloo::XapianDatabase::createWritableDb (this=this@entry=0x7f8aa8089160) at ../../../src/xapian/xapiandatabase.cpp:178
#7  0x00007f8b1dd71e66 in Baloo::XapianDatabase::XapianDatabase (this=0x7f8aa8089160, path=..., writeOnly=<optimized out>) at ../../../src/xapian/xapiandatabase.cpp:47
#8  0x00007f8b23feab78 in Baloo::FileModifyJob::doStart (this=0x7f8aa8074dc0) at ../../../../src/file/lib/filemodifyjob.cpp:143
#9  0x00007f8b28353891 in QObject::event (this=0x7f8aa8074dc0, e=<optimized out>) at kernel/qobject.cpp:1222
#10 0x00007f8b28f8e9bc in QApplicationPrivate::notify_helper (this=this@entry=0x1da90b0, receiver=receiver@entry=0x7f8aa8074dc0, e=e@entry=0x7f8aa8039150) at kernel/qapplication.cpp:4570
#11 0x00007f8b28f954d8 in QApplication::notify (this=this@entry=0x7ffdd1f47420, receiver=receiver@entry=0x7f8aa8074dc0, e=e@entry=0x7f8aa8039150) at kernel/qapplication.cpp:4356
#12 0x00007f8b29cf0c1a in KApplication::notify (this=0x7ffdd1f47420, receiver=0x7f8aa8074dc0, event=0x7f8aa8039150) at ../../kdeui/kernel/kapplication.cpp:311
#13 0x00007f8b2833a17d in QCoreApplication::notifyInternal (this=0x7ffdd1f47420, receiver=receiver@entry=0x7f8aa8074dc0, event=event@entry=0x7f8aa8039150) at kernel/qcoreapplication.cpp:955
#14 0x00007f8b2833da21 in sendEvent (event=0x7f8aa8039150, receiver=0x7f8aa8074dc0) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#15 QCoreApplicationPrivate::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0, data=0x3f24060) at kernel/qcoreapplication.cpp:1579
#16 0x00007f8b2833deb3 in QCoreApplication::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0) at kernel/qcoreapplication.cpp:1472
#17 0x00007f8b2836969e in sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:236
#18 postEventSourceDispatch (s=0x7f8aa80012e0) at kernel/qeventdispatcher_glib.cpp:300
#19 0x00007f8b208e5c3d in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#20 0x00007f8b208e5f20 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#21 0x00007f8b208e5fcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#22 0x00007f8b2836980e in QEventDispatcherGlib::processEvents (this=0x7f8aa80008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:450
#23 0x00007f8b28338cd1 in QEventLoop::processEvents (this=this@entry=0x7f8acb7fda90, flags=...) at kernel/qeventloop.cpp:149
#24 0x00007f8b28339035 in QEventLoop::exec (this=this@entry=0x7f8acb7fda90, flags=...) at kernel/qeventloop.cpp:204
#25 0x00007f8b2c48ad13 in Digikam::WorkerObjectRunnable::run (this=0x7f8a88037110) at /build/buildd/digikam-4.9.0/core/libs/threads/threadmanager.cpp:196
#26 0x00007f8b28222b70 in QThreadPoolThread::run (this=0x3f23ec0) at concurrent/qthreadpool.cpp:108
#27 0x00007f8b2822f6ff in QThreadPrivate::start (arg=0x3f23ec0) at thread/qthread_unix.cpp:349
#28 0x00007f8b248906aa in start_thread (arg=0x7f8acb7fe700) at pthread_create.c:333
#29 0x00007f8b2774deed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 7 (Thread 0x7f8ac97fa700 (LWP 6858)):
#0  __lll_lock_wait () at ../sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:135
#1  0x00007f8b24892d82 in __GI___pthread_mutex_lock (mutex=0x7f8ac401a2b8) at ../nptl/pthread_mutex_lock.c:115
#2  0x00007f8b12bd4ecf in sqlite3_finalize (pStmt=0x7f8ac4001cc8) at sqlite3.c:67389
#3  0x00007f8b01968585 in finalize (this=0x7f8ac401d6c0) at ../../../sql/drivers/sqlite/qsql_sqlite.cpp:154
#4  QSQLiteDriver::close (this=0x7f8a5804fcf0) at ../../../sql/drivers/sqlite/qsql_sqlite.cpp:587
#5  0x00007f8b01966b6e in QSQLiteDriver::open (this=0x7f8a5804fcf0, db=..., conOpts=...) at ../../../sql/drivers/sqlite/qsql_sqlite.cpp:548
#6  0x00007f8b2e3ea2a4 in QSqlDatabase::open (this=this@entry=0x7f8ac97f92b0) at kernel/qsqldatabase.cpp:839
#7  0x00007f8b23fef26b in fileMappingDb (path=...) at ../../../../src/file/lib/db.cpp:50
#8  0x00007f8b23fefc65 in fileMappingDb () at ../../../../src/file/lib/db.cpp:39
#9  0x00007f8b23feaa1f in Baloo::FileModifyJob::doStart (this=0x7f8a98038450) at ../../../../src/file/lib/filemodifyjob.cpp:113
#10 0x00007f8b28353891 in QObject::event (this=0x7f8a98038450, e=<optimized out>) at kernel/qobject.cpp:1222
#11 0x00007f8b28f8e9bc in QApplicationPrivate::notify_helper (this=this@entry=0x1da90b0, receiver=receiver@entry=0x7f8a98038450, e=e@entry=0x7f8a9809cfd0) at kernel/qapplication.cpp:4570
#12 0x00007f8b28f954d8 in QApplication::notify (this=this@entry=0x7ffdd1f47420, receiver=receiver@entry=0x7f8a98038450, e=e@entry=0x7f8a9809cfd0) at kernel/qapplication.cpp:4356
#13 0x00007f8b29cf0c1a in KApplication::notify (this=0x7ffdd1f47420, receiver=0x7f8a98038450, event=0x7f8a9809cfd0) at ../../kdeui/kernel/kapplication.cpp:311
#14 0x00007f8b2833a17d in QCoreApplication::notifyInternal (this=0x7ffdd1f47420, receiver=receiver@entry=0x7f8a98038450, event=event@entry=0x7f8a9809cfd0) at kernel/qcoreapplication.cpp:955
#15 0x00007f8b2833da21 in sendEvent (event=0x7f8a9809cfd0, receiver=0x7f8a98038450) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#16 QCoreApplicationPrivate::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0, data=0x3f25920) at kernel/qcoreapplication.cpp:1579
#17 0x00007f8b2833deb3 in QCoreApplication::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0) at kernel/qcoreapplication.cpp:1472
#18 0x00007f8b2836969e in sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:236
#19 postEventSourceDispatch (s=0x7f8a980012e0) at kernel/qeventdispatcher_glib.cpp:300
#20 0x00007f8b208e5c3d in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#21 0x00007f8b208e5f20 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#22 0x00007f8b208e5fcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#23 0x00007f8b2836980e in QEventDispatcherGlib::processEvents (this=0x7f8a980008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:450
#24 0x00007f8b28338cd1 in QEventLoop::processEvents (this=this@entry=0x7f8ac97f9a90, flags=...) at kernel/qeventloop.cpp:149
#25 0x00007f8b28339035 in QEventLoop::exec (this=this@entry=0x7f8ac97f9a90, flags=...) at kernel/qeventloop.cpp:204
#26 0x00007f8b2c48ad13 in Digikam::WorkerObjectRunnable::run (this=0x7f8a88024b50) at /build/buildd/digikam-4.9.0/core/libs/threads/threadmanager.cpp:196
#27 0x00007f8b28222b70 in QThreadPoolThread::run (this=0x3f25780) at concurrent/qthreadpool.cpp:108
#28 0x00007f8b2822f6ff in QThreadPrivate::start (arg=0x3f25780) at thread/qthread_unix.cpp:349
#29 0x00007f8b248906aa in start_thread (arg=0x7f8ac97fa700) at pthread_create.c:333
#30 0x00007f8b2774deed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 6 (Thread 0x7f8a9e7fc700 (LWP 6863)):
#0  0x00007f8b277428dd in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f8b208e5ebc in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f8b208e5fcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f8b2836982e in QEventDispatcherGlib::processEvents (this=0x7f8a880008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:452
#4  0x00007f8b28338cd1 in QEventLoop::processEvents (this=this@entry=0x7f8a9e7fba90, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f8b28339035 in QEventLoop::exec (this=this@entry=0x7f8a9e7fba90, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007f8b2c48ad13 in Digikam::WorkerObjectRunnable::run (this=0x774f980) at /build/buildd/digikam-4.9.0/core/libs/threads/threadmanager.cpp:196
#7  0x00007f8b28222b70 in QThreadPoolThread::run (this=0x3f273b0) at concurrent/qthreadpool.cpp:108
#8  0x00007f8b2822f6ff in QThreadPrivate::start (arg=0x3f273b0) at thread/qthread_unix.cpp:349
#9  0x00007f8b248906aa in start_thread (arg=0x7f8a9e7fc700) at pthread_create.c:333
#10 0x00007f8b2774deed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 5 (Thread 0x7f8a78ff9700 (LWP 6873)):
#0  __lll_lock_wait () at ../sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:135
#1  0x00007f8b24892d82 in __GI___pthread_mutex_lock (mutex=0x7f8ac401a2b8) at ../nptl/pthread_mutex_lock.c:115
#2  0x00007f8b12bd4ecf in sqlite3_finalize (pStmt=0x7f8ac4001cc8) at sqlite3.c:67389
#3  0x00007f8b01968585 in finalize (this=0x7f8ac401d6c0) at ../../../sql/drivers/sqlite/qsql_sqlite.cpp:154
#4  QSQLiteDriver::close (this=0x7f8a5804fcf0) at ../../../sql/drivers/sqlite/qsql_sqlite.cpp:587
#5  0x00007f8b01966b6e in QSQLiteDriver::open (this=0x7f8a5804fcf0, db=..., conOpts=...) at ../../../sql/drivers/sqlite/qsql_sqlite.cpp:548
#6  0x00007f8b2e3ea2a4 in QSqlDatabase::open (this=this@entry=0x7f8a78ff82b0) at kernel/qsqldatabase.cpp:839
#7  0x00007f8b23fef26b in fileMappingDb (path=...) at ../../../../src/file/lib/db.cpp:50
#8  0x00007f8b23fefc65 in fileMappingDb () at ../../../../src/file/lib/db.cpp:39
#9  0x00007f8b23feaa1f in Baloo::FileModifyJob::doStart (this=0x7f8a58068b80) at ../../../../src/file/lib/filemodifyjob.cpp:113
#10 0x00007f8b28353891 in QObject::event (this=0x7f8a58068b80, e=<optimized out>) at kernel/qobject.cpp:1222
#11 0x00007f8b28f8e9bc in QApplicationPrivate::notify_helper (this=this@entry=0x1da90b0, receiver=receiver@entry=0x7f8a58068b80, e=e@entry=0x7f8a58053ce0) at kernel/qapplication.cpp:4570
#12 0x00007f8b28f954d8 in QApplication::notify (this=this@entry=0x7ffdd1f47420, receiver=receiver@entry=0x7f8a58068b80, e=e@entry=0x7f8a58053ce0) at kernel/qapplication.cpp:4356
#13 0x00007f8b29cf0c1a in KApplication::notify (this=0x7ffdd1f47420, receiver=0x7f8a58068b80, event=0x7f8a58053ce0) at ../../kdeui/kernel/kapplication.cpp:311
#14 0x00007f8b2833a17d in QCoreApplication::notifyInternal (this=0x7ffdd1f47420, receiver=receiver@entry=0x7f8a58068b80, event=event@entry=0x7f8a58053ce0) at kernel/qcoreapplication.cpp:955
#15 0x00007f8b2833da21 in sendEvent (event=0x7f8a58053ce0, receiver=0x7f8a58068b80) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#16 QCoreApplicationPrivate::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0, data=0x3d2fa60) at kernel/qcoreapplication.cpp:1579
#17 0x00007f8b2833deb3 in QCoreApplication::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0) at kernel/qcoreapplication.cpp:1472
#18 0x00007f8b2836969e in sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:236
#19 postEventSourceDispatch (s=0x7f8a580012e0) at kernel/qeventdispatcher_glib.cpp:300
#20 0x00007f8b208e5c3d in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#21 0x00007f8b208e5f20 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#22 0x00007f8b208e5fcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#23 0x00007f8b2836980e in QEventDispatcherGlib::processEvents (this=0x7f8a580008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:450
#24 0x00007f8b28338cd1 in QEventLoop::processEvents (this=this@entry=0x7f8a78ff8a90, flags=...) at kernel/qeventloop.cpp:149
#25 0x00007f8b28339035 in QEventLoop::exec (this=this@entry=0x7f8a78ff8a90, flags=...) at kernel/qeventloop.cpp:204
#26 0x00007f8b2c48ad13 in Digikam::WorkerObjectRunnable::run (this=0x7f8a8803b620) at /build/buildd/digikam-4.9.0/core/libs/threads/threadmanager.cpp:196
#27 0x00007f8b28222b70 in QThreadPoolThread::run (this=0x3d2f8c0) at concurrent/qthreadpool.cpp:108
#28 0x00007f8b2822f6ff in QThreadPrivate::start (arg=0x3d2f8c0) at thread/qthread_unix.cpp:349
#29 0x00007f8b248906aa in start_thread (arg=0x7f8a78ff9700) at pthread_create.c:333
#30 0x00007f8b2774deed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 4 (Thread 0x7f8addd78700 (LWP 7095)):
#0  __lll_lock_wait () at ../sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:135
#1  0x00007f8b24892d82 in __GI___pthread_mutex_lock (mutex=0x7f8ac401a2b8) at ../nptl/pthread_mutex_lock.c:115
#2  0x00007f8b12bd4ecf in sqlite3_finalize (pStmt=0x7f8ac4001cc8) at sqlite3.c:67389
#3  0x00007f8b01968585 in finalize (this=0x7f8ac401d6c0) at ../../../sql/drivers/sqlite/qsql_sqlite.cpp:154
#4  QSQLiteDriver::close (this=0x7f8a5804fcf0) at ../../../sql/drivers/sqlite/qsql_sqlite.cpp:587
#5  0x00007f8b01966b6e in QSQLiteDriver::open (this=0x7f8a5804fcf0, db=..., conOpts=...) at ../../../sql/drivers/sqlite/qsql_sqlite.cpp:548
#6  0x00007f8b2e3ea2a4 in QSqlDatabase::open (this=this@entry=0x7f8addd772b0) at kernel/qsqldatabase.cpp:839
#7  0x00007f8b23fef26b in fileMappingDb (path=...) at ../../../../src/file/lib/db.cpp:50
#8  0x00007f8b23fefc65 in fileMappingDb () at ../../../../src/file/lib/db.cpp:39
#9  0x00007f8b23feaa1f in Baloo::FileModifyJob::doStart (this=0x7f8ad0037f50) at ../../../../src/file/lib/filemodifyjob.cpp:113
#10 0x00007f8b28353891 in QObject::event (this=0x7f8ad0037f50, e=<optimized out>) at kernel/qobject.cpp:1222
#11 0x00007f8b28f8e9bc in QApplicationPrivate::notify_helper (this=this@entry=0x1da90b0, receiver=receiver@entry=0x7f8ad0037f50, e=e@entry=0x7f8ad004ce80) at kernel/qapplication.cpp:4570
#12 0x00007f8b28f954d8 in QApplication::notify (this=this@entry=0x7ffdd1f47420, receiver=receiver@entry=0x7f8ad0037f50, e=e@entry=0x7f8ad004ce80) at kernel/qapplication.cpp:4356
#13 0x00007f8b29cf0c1a in KApplication::notify (this=0x7ffdd1f47420, receiver=0x7f8ad0037f50, event=0x7f8ad004ce80) at ../../kdeui/kernel/kapplication.cpp:311
#14 0x00007f8b2833a17d in QCoreApplication::notifyInternal (this=0x7ffdd1f47420, receiver=receiver@entry=0x7f8ad0037f50, event=event@entry=0x7f8ad004ce80) at kernel/qcoreapplication.cpp:955
#15 0x00007f8b2833da21 in sendEvent (event=0x7f8ad004ce80, receiver=0x7f8ad0037f50) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#16 QCoreApplicationPrivate::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0, data=0x3f280b0) at kernel/qcoreapplication.cpp:1579
#17 0x00007f8b2833deb3 in QCoreApplication::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0) at kernel/qcoreapplication.cpp:1472
#18 0x00007f8b2836969e in sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:236
#19 postEventSourceDispatch (s=0x7f8ad00030d0) at kernel/qeventdispatcher_glib.cpp:300
#20 0x00007f8b208e5c3d in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#21 0x00007f8b208e5f20 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#22 0x00007f8b208e5fcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#23 0x00007f8b2836980e in QEventDispatcherGlib::processEvents (this=0x7f8ad00032d0, flags=...) at kernel/qeventdispatcher_glib.cpp:450
#24 0x00007f8b28338cd1 in QEventLoop::processEvents (this=this@entry=0x7f8addd77a90, flags=...) at kernel/qeventloop.cpp:149
#25 0x00007f8b28339035 in QEventLoop::exec (this=this@entry=0x7f8addd77a90, flags=...) at kernel/qeventloop.cpp:204
#26 0x00007f8b2c48ad13 in Digikam::WorkerObjectRunnable::run (this=0x7f8a88024c90) at /build/buildd/digikam-4.9.0/core/libs/threads/threadmanager.cpp:196
#27 0x00007f8b28222b70 in QThreadPoolThread::run (this=0x3f27f10) at concurrent/qthreadpool.cpp:108
#28 0x00007f8b2822f6ff in QThreadPrivate::start (arg=0x3f27f10) at thread/qthread_unix.cpp:349
#29 0x00007f8b248906aa in start_thread (arg=0x7f8addd78700) at pthread_create.c:333
#30 0x00007f8b2774deed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 3 (Thread 0x7f8aed3bd700 (LWP 7870)):
#0  0x00007f8b27711c4d in nanosleep () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f8b27744e84 in usleep (useconds=<optimized out>) at ../sysdeps/unix/sysv/linux/usleep.c:32
#2  0x00007f8b1dd71c9f in Baloo::XapianDatabase::createWritableDb (this=this@entry=0x7f8ac40573f0) at ../../../src/xapian/xapiandatabase.cpp:182
#3  0x00007f8b1dd72121 in Baloo::XapianDatabase::commit (this=0x7f8ac40573f0) at ../../../src/xapian/xapiandatabase.cpp:115
#4  0x00007f8b23feaec9 in Baloo::FileModifyJob::doStart (this=0x7f8ac407df30) at ../../../../src/file/lib/filemodifyjob.cpp:166
#5  0x00007f8b28353891 in QObject::event (this=0x7f8ac407df30, e=<optimized out>) at kernel/qobject.cpp:1222
#6  0x00007f8b28f8e9bc in QApplicationPrivate::notify_helper (this=this@entry=0x1da90b0, receiver=receiver@entry=0x7f8ac407df30, e=e@entry=0x7f8ac407d080) at kernel/qapplication.cpp:4570
#7  0x00007f8b28f954d8 in QApplication::notify (this=this@entry=0x7ffdd1f47420, receiver=receiver@entry=0x7f8ac407df30, e=e@entry=0x7f8ac407d080) at kernel/qapplication.cpp:4356
#8  0x00007f8b29cf0c1a in KApplication::notify (this=0x7ffdd1f47420, receiver=0x7f8ac407df30, event=0x7f8ac407d080) at ../../kdeui/kernel/kapplication.cpp:311
#9  0x00007f8b2833a17d in QCoreApplication::notifyInternal (this=0x7ffdd1f47420, receiver=receiver@entry=0x7f8ac407df30, event=event@entry=0x7f8ac407d080) at kernel/qcoreapplication.cpp:955
#10 0x00007f8b2833da21 in sendEvent (event=0x7f8ac407d080, receiver=0x7f8ac407df30) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#11 QCoreApplicationPrivate::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0, data=0x3f26e60) at kernel/qcoreapplication.cpp:1579
#12 0x00007f8b2833deb3 in QCoreApplication::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0) at kernel/qcoreapplication.cpp:1472
#13 0x00007f8b2836969e in sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:236
#14 postEventSourceDispatch (s=0x7f8ac407eb20) at kernel/qeventdispatcher_glib.cpp:300
#15 0x00007f8b208e5c3d in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#16 0x00007f8b208e5f20 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#17 0x00007f8b208e5fcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#18 0x00007f8b2836980e in QEventDispatcherGlib::processEvents (this=0x7f8ac4070d50, flags=...) at kernel/qeventdispatcher_glib.cpp:450
#19 0x00007f8b28338cd1 in QEventLoop::processEvents (this=this@entry=0x7f8aed3bca90, flags=...) at kernel/qeventloop.cpp:149
#20 0x00007f8b28339035 in QEventLoop::exec (this=this@entry=0x7f8aed3bca90, flags=...) at kernel/qeventloop.cpp:204
#21 0x00007f8b2c48ad13 in Digikam::WorkerObjectRunnable::run (this=0x7f8a8803e040) at /build/buildd/digikam-4.9.0/core/libs/threads/threadmanager.cpp:196
#22 0x00007f8b28222b70 in QThreadPoolThread::run (this=0x3f26cc0) at concurrent/qthreadpool.cpp:108
#23 0x00007f8b2822f6ff in QThreadPrivate::start (arg=0x3f26cc0) at thread/qthread_unix.cpp:349
#24 0x00007f8b248906aa in start_thread (arg=0x7f8aed3bd700) at pthread_create.c:333
#25 0x00007f8b2774deed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 2 (Thread 0x7f8adcd76700 (LWP 7871)):
[KCrash Handler]
#6  sqlite3RowSetClear (p=0xc46240 <QString::shared_null>) at sqlite3.c:40380
#7  vdbeMemClearExternAndSetNull (p=0x7f8a2c06f780) at sqlite3.c:62029
#8  0x00007f8b12b9a16d in sqlite3VdbeMemSetNull (pMem=<optimized out>) at sqlite3.c:62309
#9  sqlite3ValueSetNull (p=<optimized out>) at sqlite3.c:62315
#10 sqlite3Error (db=db@entry=0x7f8a2c000078, err_code=err_code@entry=7) at sqlite3.c:22912
#11 0x00007f8b12bafceb in sqlite3VdbeTransferError (p=p@entry=0x7f8a2c0780c8) at sqlite3.c:65730
#12 0x00007f8b12bd4da3 in sqlite3VdbeReset (p=p@entry=0x7f8a2c0780c8) at sqlite3.c:65784
#13 0x00007f8b12bd6998 in sqlite3_reset (pStmt=0x7f8a2c0780c8) at sqlite3.c:67412
#14 0x00007f8b019673f1 in QSQLiteResultPrivate::fetchNext (this=this@entry=0x7f8a2c029750, values=..., idx=idx@entry=0, initialFetch=initialFetch@entry=true) at ../../../sql/drivers/sqlite/qsql_sqlite.cpp:286
#15 0x00007f8b019680f8 in QSQLiteResult::exec (this=0x7f8a2c08a1a0) at ../../../sql/drivers/sqlite/qsql_sqlite.cpp:447
#16 0x00007f8b2e3e7a52 in QSqlQuery::exec (this=this@entry=0x7f8adcd75190) at kernel/qsqlquery.cpp:949
#17 0x00007f8b23fec3db in Baloo::FileMapping::fetch (this=this@entry=0x7f8adcd75450, db=...) at ../../../../src/file/lib/filemapping.cpp:101
#18 0x00007f8b23feaa2b in Baloo::FileModifyJob::doStart (this=0x7f8a2c0892e0) at ../../../../src/file/lib/filemodifyjob.cpp:113
#19 0x00007f8b28353891 in QObject::event (this=0x7f8a2c0892e0, e=<optimized out>) at kernel/qobject.cpp:1222
#20 0x00007f8b28f8e9bc in QApplicationPrivate::notify_helper (this=this@entry=0x1da90b0, receiver=receiver@entry=0x7f8a2c0892e0, e=e@entry=0x7f8a2c017750) at kernel/qapplication.cpp:4570
#21 0x00007f8b28f954d8 in QApplication::notify (this=this@entry=0x7ffdd1f47420, receiver=receiver@entry=0x7f8a2c0892e0, e=e@entry=0x7f8a2c017750) at kernel/qapplication.cpp:4356
#22 0x00007f8b29cf0c1a in KApplication::notify (this=0x7ffdd1f47420, receiver=0x7f8a2c0892e0, event=0x7f8a2c017750) at ../../kdeui/kernel/kapplication.cpp:311
#23 0x00007f8b2833a17d in QCoreApplication::notifyInternal (this=0x7ffdd1f47420, receiver=receiver@entry=0x7f8a2c0892e0, event=event@entry=0x7f8a2c017750) at kernel/qcoreapplication.cpp:955
#24 0x00007f8b2833da21 in sendEvent (event=0x7f8a2c017750, receiver=0x7f8a2c0892e0) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#25 QCoreApplicationPrivate::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0, data=0x3f252f0) at kernel/qcoreapplication.cpp:1579
#26 0x00007f8b2833deb3 in QCoreApplication::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0) at kernel/qcoreapplication.cpp:1472
#27 0x00007f8b2836969e in sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:236
#28 postEventSourceDispatch (s=0x7f8a2c067f00) at kernel/qeventdispatcher_glib.cpp:300
#29 0x00007f8b208e5c3d in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#30 0x00007f8b208e5f20 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#31 0x00007f8b208e5fcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#32 0x00007f8b2836980e in QEventDispatcherGlib::processEvents (this=0x7f8a2c08cd70, flags=...) at kernel/qeventdispatcher_glib.cpp:450
#33 0x00007f8b28338cd1 in QEventLoop::processEvents (this=this@entry=0x7f8adcd75a90, flags=...) at kernel/qeventloop.cpp:149
#34 0x00007f8b28339035 in QEventLoop::exec (this=this@entry=0x7f8adcd75a90, flags=...) at kernel/qeventloop.cpp:204
#35 0x00007f8b2c48ad13 in Digikam::WorkerObjectRunnable::run (this=0x7f8a8803d780) at /build/buildd/digikam-4.9.0/core/libs/threads/threadmanager.cpp:196
#36 0x00007f8b28222b70 in QThreadPoolThread::run (this=0x3f25150) at concurrent/qthreadpool.cpp:108
#37 0x00007f8b2822f6ff in QThreadPrivate::start (arg=0x3f25150) at thread/qthread_unix.cpp:349
#38 0x00007f8b248906aa in start_thread (arg=0x7f8adcd76700) at pthread_create.c:333
#39 0x00007f8b2774deed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 1 (Thread 0x7f8b2e7a6ac0 (LWP 6822)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f8b2822fc56 in wait (time=18446744073709551615, this=0x2c0cc00) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2c0a298, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f8b2c48b984 in Digikam::WorkerObject::wait (this=0x2c0cb10) at /build/buildd/digikam-4.9.0/core/libs/threads/workerobject.cpp:95
#4  0x0000000000632df3 in Digikam::FileActionMngr::shutDown (this=this@entry=0x2c0c7e0) at /build/buildd/digikam-4.9.0/core/app/fileaction/fileactionmngr.cpp:110
#5  0x0000000000632e25 in Digikam::FileActionMngr::~FileActionMngr (this=0x2c0c7e0, __in_chrg=<optimized out>) at /build/buildd/digikam-4.9.0/core/app/fileaction/fileactionmngr.cpp:78
#6  0x0000000000632ea7 in ~FileActionMngrCreator (this=0x2c0c7e0, __in_chrg=<optimized out>) at /build/buildd/digikam-4.9.0/core/app/fileaction/fileactionmngr.cpp:52
#7  destroy () at /build/buildd/digikam-4.9.0/core/app/fileaction/fileactionmngr.cpp:59
#8  0x00007f8b27680d32 in __run_exit_handlers (status=1, listp=0x7f8b27a0b698 <__exit_funcs>, run_list_atexit=run_list_atexit@entry=true) at exit.c:82
#9  0x00007f8b27680d85 in __GI_exit (status=<optimized out>) at exit.c:104
#10 0x00007f8b28ffa488 in qt_xio_errhandler () at kernel/qapplication_x11.cpp:782
#11 0x00007f8b29cef670 in KApplication::xioErrhandler (this=0x7ffdd1f47420, dpy=0x1d9e390) at ../../kdeui/kernel/kapplication.cpp:419
#12 0x00007f8b2612e88e in _XIOError () from /usr/lib/x86_64-linux-gnu/libX11.so.6
#13 0x00007f8b2612c1fd in _XEventsQueued () from /usr/lib/x86_64-linux-gnu/libX11.so.6
#14 0x00007f8b2611e190 in XEventsQueued () from /usr/lib/x86_64-linux-gnu/libX11.so.6
#15 0x00007f8b29036727 in x11EventSourcePrepare (s=0x1d8f230, timeout=<optimized out>) at kernel/qguieventdispatcher_glib.cpp:77
#16 0x00007f8b208e53fd in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#17 0x00007f8b208e5de8 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#18 0x00007f8b208e5fcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#19 0x00007f8b2836980e in QEventDispatcherGlib::processEvents (this=0x1d9bcf0, flags=...) at kernel/qeventdispatcher_glib.cpp:450
#20 0x00007f8b29036c66 in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#21 0x00007f8b28338cd1 in QEventLoop::processEvents (this=this@entry=0x7ffdd1f46f10, flags=...) at kernel/qeventloop.cpp:149
#22 0x00007f8b28339035 in QEventLoop::exec (this=this@entry=0x7ffdd1f46f10, flags=...) at kernel/qeventloop.cpp:204
#23 0x00007f8b2833eab9 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1227
#24 0x00007f8b28f8cc1c in QApplication::exec () at kernel/qapplication.cpp:3828
#25 0x0000000000496426 in main (argc=<optimized out>, argv=<optimized out>) at /build/buildd/digikam-4.9.0/core/app/main/main.cpp:237

Reported using DrKonqi
Comment 1 caulier.gilles 2015-05-09 04:59:38 UTC

*** This bug has been marked as a duplicate of bug 329697 ***
Comment 2 caulier.gilles 2021-04-04 08:39:46 UTC
Fixed with #329697